unit g729;

interface

uses windows;

procedure va_g729a_init_encoder; cdecl;
procedure va_g729a_encoder(speech: Pointer; bitstream: Pointer); cdecl;
procedure va_g729a_init_decoder; cdecl;
procedure va_g729a_decoder(bitstream: Pointer; synth_short: Pointer; bfi: Integer); cdecl;

implementation
const
  g729dll = 'g729dll.dll';

procedure va_g729a_init_encoder; external g729dll name 'va_g729a_init_encoder';
procedure va_g729a_encoder(speech: Pointer; bitstream: Pointer); external g729dll name 'va_g729a_encoder';
procedure va_g729a_init_decoder; external g729dll name 'va_g729a_init_decoder';
procedure va_g729a_decoder(bitstream: Pointer; synth_short: Pointer; bfi: Integer); external g729dll name 'va_g729a_decoder';


initialization
  va_g729a_init_encoder;
  va_g729a_init_decoder;
end.
